Name: libopensync
Version: 0.18
Release: alt0.0.cvs20050930.M24.1

Summary: Synchronisation framework
License: LGPL
Group: System/Libraries
URL: http://www.opensync.org/
Source: %name-%version.tar.bz2

Requires: libxml2 glib2 libsqlite3 
# Automatically added by buildreq on Fri Sep 30 2005
BuildRequires: gcc-c++ glib2-devel libg2c-devel libsqlite3-devel libstdc++-devel  
BuildRequires: libxml2-devel pkgconfig zlib-devel

%define _pkgconfigdir %_libdir/pkgconfig

%description
OpenSync is a synchronization framework that is platform and distribution independent.
It consists of several plugins that can be used to connect to devices, a powerfull sync-engine and the framework itself.
OpenSync is platform and distribution independent has no dependencies on X related libraries.

%package devel
Summary: Header files, libraries and development documentation for %name
Group: Development/C
Requires: %name = %version

%description devel
This package contains the header files, static libraries and development
documentation for %name. If you like to develop programs using %name,
you will need to install %name-devel.

%package tools
Summary: Tools for %name
Group: Development/Other
Requires: %name

%description tools
Tools to test and debug %name.

%prep
%setup -q

%build
%__libtoolize
%__aclocal
%__autoconf
%__autoheader
%__automake -a -c --foreign

%configure --enable-engine --enable-debug --enable-tracing --disable-profiling --enable-tools --disable-unit-tests --disable-python

%make

%install
%make_install install DESTDIR=%buildroot
%__rm -f %buildroot%_libdir/*.la
%__rm -f %buildroot%_libdir/opensync/formats/*.la

%files
%_libdir/libopensync-xml.so*
%_libdir/libopensync.so*
%_libdir/libosengine.so*
%_libdir/opensync

%files devel
%_includedir/opensync-1.0
%_pkgconfigdir/*.pc

%files tools
%_bindir/*

%changelog
* Thu Oct 06 2005 Michael Shigorin <mike@altlinux.org> 0.18-alt0.0.cvs20050930.M24.1
- built for ALM2.4

* Fri Sep 30 2005 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt0.1.cvs20050930
- Initial package
